# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test
# FileName:      read_user_ini.py
# Author:       lin
# Datetime:     2024/12/26 19:01
# Description:
# 
# ---------------------------------------------------------------------------
import configparser
import os

from APITest_1226 import log
from APITest_1226.common.read_basic_ini import ReadBasicIni


class ReadUserIni:
    @log
    def __init__(self,username):
        """获取userini文件的路径，并读取数据"""
        basic_ini = ReadBasicIni()
        user_name =basic_ini.get_user(username)
        self.data_config_path = os.path.join(os.path.join(os.path.dirname(os.path.dirname(__file__)), "data_config"),user_name)
        user_name_ini = os.path.join(self.data_config_path, "config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(user_name_ini, encoding="utf-8")

    @log
    def get_file_path(self,key):
        """获取文件路径"""
        file_name = self.conf.get("file",key)
        return os.path.join(self.data_config_path,file_name)

    @log
    def get_table_name(self,key):
        """获取工作表的名字"""
        return self.conf.get("table",key)




if __name__ == '__main__':
    res = ReadUserIni("lisi")
    # print(res.get_file_path("excel"))
    print(res.get_table_name("name"))